Name:           xcalc
Version:        1.0.3
Release:        12%{?dist}
Summary:        Scientific Calculator X11 Client

Group:          User Interface/X
License:        MIT
URL:            http://xorg.freedesktop.org
Source0:        http://xorg.freedesktop.org/releases/individual/app/xcalc-%{version}.tar.bz2
Source1:        xcalc.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libXaw-devel
BuildRequires:  desktop-file-utils
BuildRequires:  xorg-x11-util-macros
BuildRequires:  libfontenc-devel
BuildRequires:  libX11-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXext-devel
BuildRequires:  libXt-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXft-devel
BuildRequires:  libXrender-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libpng-devel
BuildRequires:  libXfixes-devel

%description
xcalc is a scientific calculator X11 client.

%prep
%setup -q
cp -p %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%if 0%{?el5}
echo 'Encoding=UTF-8' >> xcalc.desktop
%endif
install -d ${RPM_BUILD_ROOT}%{_datadir}/applications
install -p -m 644 xcalc.desktop ${RPM_BUILD_ROOT}%{_datadir}/applications
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/xcalc.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/xcalc
%{_datadir}/X11/app-defaults/XCalc
%{_datadir}/X11/app-defaults/XCalc-color
%{_datadir}/applications/xcalc.desktop
%{_mandir}/man1/xcalc.1.*
%doc ChangeLog README

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Apr 3 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.3-5
- Forgot to add xcalc.desktop to CVS.
* Sat Apr 3 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.3-4
- Bump release for first official Fedora release.
* Sun Mar 21 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.3-3
- Use desktop-validate rather than desktop-install.
- Install more with -p.
* Sun Mar 21 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.3-2
- Cosmetic line removal.
* Fri Mar 19 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.3-1
- Initial spec for fedora extras

